"use client"
import { useSearchParams } from "next/navigation"

import Button from "@/components/TempDesignSystem/Button"

import styles from "./details.module.css"

import { DetailsProps } from "@/types/components/hotelReservation/selectRate/section"

export default function Details({ nextPath }: DetailsProps) {
  const searchParams = useSearchParams()

  return (
    <div className={styles.wrapper}>
      <form method="GET" action={`${nextPath}?${searchParams}`}>
        <Button type="submit">Submit</Button>
      </form>
    </div>
  )
}
